ONVIF::Media::Types::IOCapabilitiesExtension(3pm)

NAME
ONVIF::Media::Types::IOCapabilitiesExtension

DESCRIPTION
Perl data type class for the XML Schema defined complexType IOCapabilitiesExtension from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Auxiliary

•   AuxiliaryCommands

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::IOCapabilitiesExtension
   Auxiliary =>  $some_value, # boolean
   AuxiliaryCommands => $some_value, # AuxiliaryData
   Extension =>  { # ONVIF::Media::Types::IOCapabilitiesExtension2
   },
 },

AUTHOR
Generated by SOAP::WSDL